/***************************************************************************
 *   Copyright (C) 2005 by Patrick Steiner                                 *
 *   patrick.steiner a1.net                                                *
 *   Copyright (C) Serdar Ozler (Scumm.QPE)                                *
 *   sozler@sitebest.com                                                   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/

#include "newgamedlg.h"
#include "gamelist.h"

NewGameDialog::NewGameDialog(QWidget *parent)
              :QDialog(parent, 0, TRUE)
{
  // construct objects
  editDirectory=new QLineEdit("/opt/QtPalmtop/share/games/scummvm/", this);
  editDirectory->setGeometry(35, 10, 190, 25);
  label=new QLabel(editDirectory, tr("&Path:"), this);
  label->setGeometry(5, 10, 25, 25);

  comboGames=new QComboBox(FALSE, this);
  comboGames->setGeometry(35, 45, 190, 25);
  label=new QLabel(comboGames, tr("&Game:"), this);
  label->setGeometry(5, 45, 25, 25);

  // create game list
  const VersionSettings *game=version_settings;
  do
    comboGames->insertItem(game->gamename);
  while ((++game)->filename);

  // set window title and size
  setCaption(tr("Select a New Game"));
  resize(230, 80);
}

NewGameDialog::~NewGameDialog()
{
}
